aboutsummaryrefslogtreecommitdiffhomepage
path: root/src/test/shell
diff options
context:
space:
mode:
authorGravatar Klaus Aehlig <aehlig@google.com>2016-06-14 14:00:27 +0000
committerGravatar Yue Gan <yueg@google.com>2016-06-15 08:34:48 +0000
commitadae32a636d05c02d116fc944faa672a8d980415 (patch)
treeb7a63a69742ae1b3a49eacc53aeff2143351d01a /src/test/shell
parentf7b5e46edc17d3316b7e1df7a3e522039723b35e (diff)
Make experimental UI honor --noshow_progress
While there is little value in using the experimental UI if no progress output is desired, we still want the experimental UI to serve as a drop-in replacement for the old one, including the ability to not show any progress. -- Change-Id: I54c67a6f432541611da8b4ab7e7f88bb85926391 Reviewed-on: https://bazel-review.googlesource.com/#/c/3803 MOS_MIGRATED_REVID=124833575
Diffstat (limited to 'src/test/shell')
-rwxr-xr-xsrc/test/shell/integration/experimental_ui_test.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/src/test/shell/integration/experimental_ui_test.sh b/src/test/shell/integration/experimental_ui_test.sh
index 3734b7bb24..2ec869f8a9 100755
--- a/src/test/shell/integration/experimental_ui_test.sh
+++ b/src/test/shell/integration/experimental_ui_test.sh
@@ -92,6 +92,15 @@ function test_basic_progress() {
expect_log 'Analy.*pkg:true'
}
+function test_noshow_progress() {
+ bazel test --experimental_ui --noshow_progress --curses=yes --color=yes \
+ pkg:true 2>$TEST_log || fail "bazel test failed"
+ # Info messages should still go through
+ expect_log 'Elapsed time'
+ # no progress indicator is shown
+ expect_not_log '\[[0-9,]* / [0-9,]*\]'
+}
+
function test_basic_progress_no_curses() {
bazel test --experimental_ui --curses=no --color=yes pkg:true 2>$TEST_log \
|| fail "bazel test failed"